<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);



lzCustomLable($wp_customize, 'luzuk_sec_Formcontpageclr', 'luzuk_premium_contactus_section', 'Form Box ');

$wp_customize->add_setting(
	'scodesubtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Contact Us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'scodesubtitle',
	array(
		'settings'      => 'scodesubtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Sub Title', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_formsubtitleClr', 'luzuk_premium_contactus_section', 'Form Box Sub Title Color', '#333');


$wp_customize->add_setting(
	'scodetitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'We’re Here To Provide', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'scodetitle',
	array(
		'settings'      => 'scodetitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Title', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleClr', 'luzuk_premium_contactus_section', 'Form Box Title Color', '#A5A5A5');

$wp_customize->add_setting(
	'scodetitle2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '24X7 Support', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'scodetitle2',
	array(
		'settings'      => 'scodetitle2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Box Highlight Title', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_formhightitleClr', 'luzuk_premium_contactus_section', 'Form Box Highlight Title Color', '#000');

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'contuspg_dfmclr', 'luzuk_premium_contactus_section', 'Form Color ');


addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#ccc');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#E7F5FC');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghvClr', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'contuspg_imgbx', 'luzuk_premium_contactus_section', 'Image Box ');

$wp_customize->add_setting(
	'bx1tlte',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Say Hello!', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'bx1tlte',
	array(
		'settings'      => 'bx1tlte',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Image Box Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'bx1_txt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There Are Many Variations Of Passages Of Lorem Ipsum Available, But The Majority Have Suffered Slightly Believable.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'bx1_txt',
	array(
		'settings'      => 'bx1_txt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Image Box Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
    'contpg_imalble',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contpg_imalble',
        array(
            'settings'      => 'contpg_imalble',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( ' Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'contpg_image1',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'contpg_image1',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'contpg_image1',
            'description' => __('Recommended Image Size: 480X800', 'luzuk-premium')
        )
    )
);



$wp_customize->add_setting(
	'bx1tlte',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Say Hello!', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'bx1tlte',
	array(
		'settings'      => 'bx1tlte',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Box Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'bx1_txt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There Are Many Variations Of Passages Of Lorem Ipsum Available, But The Majority Have Suffered Slightly Believable.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'bx1_txt',
	array(
		'settings'      => 'bx1_txt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Box Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'imgtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '24/7 Contact Support', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'imgtitle',
	array(
		'settings'      => 'imgtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Image Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'imglink',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'imglink',
	array(
		'settings'      => 'imglink',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Image Email Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting( 'plane_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'plane_display', array( 'label' => 'Plane Image Display', 'section' => 'luzuk_premium_contactus_section', 'settings' => 'plane_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

lzCustomLable($wp_customize, 'conpg_imgoly', 'luzuk_premium_contactus_section', 'Image Overlay & Opacity');

$wp_customize->add_setting(
    'conpg_imgOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'conpg_imgOpacity',
    array(
        'settings'      => 'conpg_imgOpacity',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'conpg_imgolyclr', 'luzuk_premium_contactus_section', 'Image Overlay Color ', '#000');

addColorPalatOption($wp_customize, 'conpg_imgbxbgclr', 'luzuk_premium_contactus_section', 'Image Box BG Color ', '#333');

addColorPalatOption($wp_customize, 'contactuspg_bx1tleClr', 'luzuk_premium_contactus_section', 'Box Title Color', '#fff');

addColorPalatOption($wp_customize, 'contactuspg_bxtxtClr', 'luzuk_premium_contactus_section', 'Box Text Color', '#fff');

addColorPalatOption($wp_customize, 'contactuspg_bximgtleClr', 'luzuk_premium_contactus_section', 'Image Title Color', '#fff');

addColorPalatOption($wp_customize, 'contactuspg_bximgemailClr', 'luzuk_premium_contactus_section', 'Image Email Text Color', '#fff');

addColorPalatOption($wp_customize, 'contactuspg_bximgemailhvClr', 'luzuk_premium_contactus_section', 'Image Email Text Hover Color', '#FDA12B');



lzCustomLable($wp_customize, 'contuspg_detailbx', 'luzuk_premium_contactus_section', 'Detail Box Sub Heading & Heading ');


$wp_customize->add_setting(
	'dbx_subtle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Contact Us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'dbx_subtle',
	array(
		'settings'      => 'dbx_subtle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Sub Heading', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'dbx_tle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Our Global Office Locations', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'dbx_tle',
	array(
		'settings'      => 'dbx_tle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Heading', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'contuspg_dtilbx1', 'luzuk_premium_contactus_section', 'Detail Box 1');


$wp_customize->add_setting(
	'luzuk_contactus_c_nme1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'USA', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_c_nme1',
	array(
		'settings'      => 'luzuk_contactus_c_nme1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '000-123-456789', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);


lzCustomLable($wp_customize, 'contuspg_dtilbx2', 'luzuk_premium_contactus_section', 'Detail Box 2');


$wp_customize->add_setting(
	'luzuk_contactus_c_nme2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Spain', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_c_nme2',
	array(
		'settings'      => 'luzuk_contactus_c_nme2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address2',
	array(
		'settings'      => 'luzuk_contactus_address2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_phone2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '1111-222-333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone2',
	array(
		'settings'      => 'luzuk_contactus_phone2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Info@gmail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email2',
	array(
		'settings'      => 'luzuk_contactus_email2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'contuspg_dtilbx3', 'luzuk_premium_contactus_section', 'Detail Box 3');


$wp_customize->add_setting(
	'luzuk_contactus_c_nme3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'France', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_c_nme3',
	array(
		'settings'      => 'luzuk_contactus_c_nme3',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add Address here..', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address3',
	array(
		'settings'      => 'luzuk_contactus_address3',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_phone3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '1111-222-444', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone3',
	array(
		'settings'      => 'luzuk_contactus_phone3',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Infoext@gmail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email3',
	array(
		'settings'      => 'luzuk_contactus_email3',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_contpageclr', 'luzuk_premium_contactus_section', 'Detail Box Color ');

addColorPalatOption($wp_customize, 'lzk_contactus_detlbxbgClr', 'luzuk_premium_contactus_section', 'main Box BG Color', '#E7F5FC');

addColorPalatOption($wp_customize, 'lzk_contactus_detlsubheadClr', 'luzuk_premium_contactus_section', 'Box Sub Heading Color', '#000');

addColorPalatOption($wp_customize, 'lzk_contactus_detlheadClr', 'luzuk_premium_contactus_section', 'Box Heading Color', '#000');

addColorPalatOption($wp_customize, 'lzk_contactus_mbxbgClr', 'luzuk_premium_contactus_section', 'Detail Box BG Color', '#333');

addColorPalatOption($wp_customize, 'lzk_contactus_mbxbrdClr', 'luzuk_premium_contactus_section', 'Detail Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'lzk_contactus_mbxtleClr', 'luzuk_premium_contactus_section', 'Detail Box Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemicnClr', 'luzuk_premium_contactus_section', 'Address , Email , Phone Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_phemtitleClr', 'luzuk_premium_contactus_section', 'Address Title , Email Title , Phone Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Address Text , Email , Phone No. Color', '#E7F5FC');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#C69453');


//field for addeding the map code

$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));
